# DaprProtos.UnregisterActorReminderRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.UnregisterActorReminderRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>
      - - io.dapr.v1.DaprProtos.UnregisterActorReminderRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.UnregisterActorReminderRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.UnregisterActorReminderRequest

    public static final class DaprProtos.UnregisterActorReminderRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>
    implements DaprProtos.UnregisterActorReminderRequestOrBuilder

     UnregisterActorReminderRequest is the message to unregister an actor reminder.

Protobuf type `dapr.proto.runtime.v1.UnregisterActorReminderRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.UnregisterActorReminderRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.UnregisterActorReminderRequest` `build()`
`DaprProtos.UnregisterActorReminderRequest` `buildPartial()`
`DaprProtos.UnregisterActorReminderRequest.Builder` `clear()`
`DaprProtos.UnregisterActorReminderRequest.Builder` `clearActorId()` `string actor_id = 2;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `clearActorType()` `string actor_type = 1;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `clearName()` `string name = 3;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `clone()`
`String` `getActorId()` `string actor_id = 2;`
`com.google.protobuf.ByteString` `getActorIdBytes()` `string actor_id = 2;`
`String` `getActorType()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getActorTypeBytes()` `string actor_type = 1;`
`DaprProtos.UnregisterActorReminderRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getName()` `string name = 3;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.UnregisterActorReminderRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `mergeFrom​(DaprProtos.UnregisterActorReminderRequest other)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setActorId​(String value)` `string actor_id = 2;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setActorIdBytes​(com.google.protobuf.ByteString value)` `string actor_id = 2;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setActorType​(String value)` `string actor_type = 1;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setActorTypeBytes​(com.google.protobuf.ByteString value)` `string actor_type = 1;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setName​(String value)` `string name = 3;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setNameBytes​(com.google.protobuf.ByteString value)` `string name = 3;`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.UnregisterActorReminderRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### clear

    public DaprProtos.UnregisterActorReminderRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.UnregisterActorReminderRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.UnregisterActorReminderRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.UnregisterActorReminderRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.UnregisterActorReminderRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### setField

    public DaprProtos.UnregisterActorReminderRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### clearField

    public DaprProtos.UnregisterActorReminderRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### clearOneof

    public DaprProtos.UnregisterActorReminderRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### setRepeatedField

    public DaprProtos.UnregisterActorReminderRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                              int index,
                                                                              Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### addRepeatedField

    public DaprProtos.UnregisterActorReminderRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                              Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### mergeFrom

    public DaprProtos.UnregisterActorReminderRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### mergeFrom

    public DaprProtos.UnregisterActorReminderRequest.Builder mergeFrom​(DaprProtos.UnregisterActorReminderRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### mergeFrom

    public DaprProtos.UnregisterActorReminderRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`
Throws:
  `IOException`

#### getActorType

    public String getActorType()

`string actor_type = 1;`

Specified by:
  `getActorType` in interface `DaprProtos.UnregisterActorReminderRequestOrBuilder`
Returns:
  The actorType.

#### getActorTypeBytes

    public com.google.protobuf.ByteString getActorTypeBytes()

`string actor_type = 1;`

Specified by:
  `getActorTypeBytes` in interface `DaprProtos.UnregisterActorReminderRequestOrBuilder`
Returns:
  The bytes for actorType.

#### setActorType

    public DaprProtos.UnregisterActorReminderRequest.Builder setActorType​(String value)

`string actor_type = 1;`

Parameters:
  `value` - The actorType to set.
Returns:
  This builder for chaining.

#### clearActorType

    public DaprProtos.UnregisterActorReminderRequest.Builder clearActorType()

`string actor_type = 1;`

Returns:
  This builder for chaining.

#### setActorTypeBytes

    public DaprProtos.UnregisterActorReminderRequest.Builder setActorTypeBytes​(com.google.protobuf.ByteString value)

`string actor_type = 1;`

Parameters:
  `value` - The bytes for actorType to set.
Returns:
  This builder for chaining.

#### getActorId

    public String getActorId()

`string actor_id = 2;`

Specified by:
  `getActorId` in interface `DaprProtos.UnregisterActorReminderRequestOrBuilder`
Returns:
  The actorId.

#### getActorIdBytes

    public com.google.protobuf.ByteString getActorIdBytes()

`string actor_id = 2;`

Specified by:
  `getActorIdBytes` in interface `DaprProtos.UnregisterActorReminderRequestOrBuilder`
Returns:
  The bytes for actorId.

#### setActorId

    public DaprProtos.UnregisterActorReminderRequest.Builder setActorId​(String value)

`string actor_id = 2;`

Parameters:
  `value` - The actorId to set.
Returns:
  This builder for chaining.

#### clearActorId

    public DaprProtos.UnregisterActorReminderRequest.Builder clearActorId()

`string actor_id = 2;`

Returns:
  This builder for chaining.

#### setActorIdBytes

    public DaprProtos.UnregisterActorReminderRequest.Builder setActorIdBytes​(com.google.protobuf.ByteString value)

`string actor_id = 2;`

Parameters:
  `value` - The bytes for actorId to set.
Returns:
  This builder for chaining.

#### getName

    public String getName()

`string name = 3;`

Specified by:
  `getName` in interface `DaprProtos.UnregisterActorReminderRequestOrBuilder`
Returns:
  The name.

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`string name = 3;`

Specified by:
  `getNameBytes` in interface `DaprProtos.UnregisterActorReminderRequestOrBuilder`
Returns:
  The bytes for name.

#### setName

    public DaprProtos.UnregisterActorReminderRequest.Builder setName​(String value)

`string name = 3;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public DaprProtos.UnregisterActorReminderRequest.Builder clearName()

`string name = 3;`

Returns:
  This builder for chaining.

#### setNameBytes

    public DaprProtos.UnregisterActorReminderRequest.Builder setNameBytes​(com.google.protobuf.ByteString value)

`string name = 3;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.UnregisterActorReminderRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.UnregisterActorReminderRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.UnregisterActorReminderRequest.Builder>`